wibble::str::YamlStream::const_iterator Class Reference

`#include <string.h>`

## Public Member Functions

| const_iterator (std::istream &in)
| const_iterator ()
const_iterator & | operator++ ()
const std::pair< std::string, std::string > & | operator* () const
const std::pair< std::string, std::string > * | operator-> () const
bool | operator== (const const_iterator &ti) const
bool | operator!= (const const_iterator &ti) const

## Constructor & Destructor Documentation

wibble::str::YamlStream::const_iterator::const_iterator | ( | std::istream & | in | ) |

wibble::str::YamlStream::const_iterator::const_iterator | ( |  | ) |

inline

## Member Function Documentation

bool wibble::str::YamlStream::const_iterator::operator!= | ( | const const_iterator & | ti | ) | const

inline

const std::pair<std::string, std::string>& wibble::str::YamlStream::const_iterator::operator* | ( |  | ) | const

inline

YamlStream::const_iterator & wibble::str::YamlStream::const_iterator::operator++ | ( |  | ) |

const std::pair<std::string, std::string>* wibble::str::YamlStream::const_iterator::operator-> | ( |  | ) | const

inline

bool wibble::str::YamlStream::const_iterator::operator== | ( | const const_iterator & | ti | ) | const

inline

The documentation for this class was generated from the following files:

- string.h
- string.cpp